aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2007-04-20 17:25:27 -0700
committerJunio C Hamano <junkio@cox.net>2007-04-20 17:25:27 -0700
commit928c210a47fb7e38c56744bb14570638e6c23d7f (patch)
tree0301c9b8fdeb7f2557de2597f4441cd3cd026f11
parent9bc20aa73152784ee758f6432e20820e581c9412 (diff)
downloadgit-928c210a47fb7e38c56744bb14570638e6c23d7f.tar.gz
git-928c210a47fb7e38c56744bb14570638e6c23d7f.tar.xz
git-clone: fix dumb protocol transport to clone from pack-pruned ref
This forward-ports a fix from 2986c022 to git-clone. Signed-off-by: Junio C Hamano <junkio@cox.net>
-rwxr-xr-xgit-clone.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-clone.sh b/git-clone.sh
index 513b574d1..cad5c0c08 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -60,7 +60,7 @@ Perhaps git-update-server-info needs to be run there?"
else
tname=$name
fi
- git-http-fetch $v -a -w "$tname" "$name" "$1" || exit 1
+ git-http-fetch $v -a -w "$tname" "$sha1" "$1" || exit 1
done <"$clone_tmp/refs"
rm -fr "$clone_tmp"
http_fetch "$1/HEAD" "$GIT_DIR/REMOTE_HEAD" ||